<?php

namespace HilcoB2B;

namespace Hilco\Models;

/**
 * Hilco\Models\UserPaymentProfile
 *
 * @property-read \Hilco\Models\WebUser $user
 * @property-read \Hilco\Models\Customer $customer
 * @mixin \Eloquent
 */
class UserPaymentProfile extends WebModel
{
	protected $table = 'user_payment_profiles';

	public function user()
	{
		return $this->hasOne(WebUser::class, 'user_id', 'id');
	}

	public function customer()
	{
		return $this->hasOne(Customer::class, 'customer_id', 'id');
	}
}
